Roundup Tracker - Issues

Issue 2551080

classification
Title: Clarify whether Roundup works with javascript disabled
Type: behavior Severity: minor
Components: Documentation Versions: 2.0.0alpha, 1.6.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ThomasAH, cmeerw, ohnonymous, rouilj
Priority: normal Keywords:

Created on 2020-02-20 12:17 by ohnonymous, last changed 2020-02-28 22:42 by rouilj.

Messages
msg6876 Author: [hidden] (ohnonymous) Date: 2020-02-20 12:17
It's not clear without installing Roundup whether its core functionality works without javascript. (I have a stringent privacy and security policy and so it's a major factor.)
msg6877 Author: [hidden] (ThomasAH) Date: 2020-02-20 13:35
The core functionality should work when using the classic template.

The devel template probably has a bit more JS usage (I haven't
checked in detail), but even there most things should work.

The only things that do not work are the (cal), (list) and (help) links
next to some attributes (you would have to manually enter correct
values or open the links in a new tab/window and after looking up
values copy them back to the original window), and the automatic
generation of a suggestion for a username based on the real name when
adding a user account (which I consider very unimportant and sometimes
even annoying :))


The responsive or jinja2 templates will probably not look good
without javascript, but I haven't tried.
msg6878 Author: [hidden] (ohnonymous) Date: 2020-02-20 17:29
Thanks for the reply. I'll give the stable version a spin and will report if anything looks broken.
msg6879 Author: [hidden] (cmeerw) Date: 2020-02-20 17:38
BTW, the jinja2 template (and probably also the responsive template) 
should also be fine without Javascript - they mainly rely on CSS for the 
"responsiveness".
msg6886 Author: [hidden] (rouilj) Date: 2020-02-27 17:21
ohnonymous,

Have you discovered anything broken?

If not I am going to close this ticket. Then you can open
specific tickets for anything that is broken.

Does that sound ok?

-- rouilj
msg6891 Author: [hidden] (ohnonymous) Date: 2020-02-28 20:24
I've tested the stable version using w3m, everything seemed to work. So yeah, I'm OK with you closing this ticket.
History
Date User Action Args
2020-02-28 22:42:35rouiljsetpriority: normal
status: open -> closed
type: behavior
resolution: fixed
2020-02-28 20:24:14ohnonymoussetmessages: + msg6891
2020-02-27 17:21:44rouiljsetnosy: + rouilj
messages: + msg6886
2020-02-20 17:38:45cmeerwsetnosy: + cmeerw
messages: + msg6879
2020-02-20 17:29:52ohnonymoussetmessages: + msg6878
2020-02-20 13:35:37ThomasAHsetstatus: new -> open
nosy: + ThomasAH
messages: + msg6877
2020-02-20 12:17:07ohnonymouscreate